import { select, 
        range
       } from 'd3';

import {fruitBowl} from './fruitBowl';

const svg = select('svg');

//const width = +svg.attr('width');

const makeFruit = type => ({
  type,
  id: Math.random()
});

let fruits = range(5) 
    .map(() => makeFruit('apple'));

const render = () => {
 // console.log('foo');
  fruitBowl(svg, {
    fruits,
    height: +svg.attr('height')
  })
};


render();

//eat apple
setTimeout(() => {
  fruits.pop();
  render();
  }, 1000);

//lemon instead of apple
setTimeout(() => {
  fruits[2].type = 'lemon';
  render();
  }, 2000);

//eat 2nd apple in 
setTimeout(() => {
  fruits = fruits.filter((d, i) => i != 1 );
  render();
  }, 3300);



